<template lang="pug">
div
    .row.justify-center.full-height.full-width.text-center.items-center(style="min-height:300px;" v-if="!loading")
        div 
            p.text-body1 {{title}}
            q-spinner-dots(color='primary' size='xl')
    div
      slot(v-if="loading")
</template>

<script>
export default {
    props: {
        loading:{
            default:false
            },
        title:{
            default:"Loading..."
        }
    }
};
</script>